[Fusionforge-commits] r15600 - in branches/Branch_5_2: . src/debian/dsf-in src/debian/dsf-po

Roland Mas lolando at fusionforge.org
Tue May 29 18:50:22 CEST 2012


Author: lolando
Date: 2012-05-29 18:50:21 +0200 (Tue, 29 May 2012)
New Revision: 15600

Added:
   branches/Branch_5_2/src/debian/dsf-in/db-postgresql.config
   branches/Branch_5_2/src/debian/dsf-in/db-postgresql.postinst
   branches/Branch_5_2/src/debian/dsf-in/db-postgresql.templates
   branches/Branch_5_2/src/debian/dsf-in/dns-bind9.templates
   branches/Branch_5_2/src/debian/dsf-in/web-apache2-vhosts.postinst
   branches/Branch_5_2/src/debian/dsf-in/web-apache2-vhosts.postrm
   branches/Branch_5_2/src/debian/dsf-in/web-apache2.postinst
   branches/Branch_5_2/src/debian/dsf-in/web-apache2.templates
Removed:
   branches/Branch_5_2/src/debian/dsf-in/db-postgresql.config.dsfh-in
   branches/Branch_5_2/src/debian/dsf-in/db-postgresql.postinst.dsfh-in
   branches/Branch_5_2/src/debian/dsf-in/db-postgresql.templates.dsfh-in
   branches/Branch_5_2/src/debian/dsf-in/dns-bind9.templates.dsfh-in
   branches/Branch_5_2/src/debian/dsf-in/web-apache2-vhosts.postinst.dsfh-in
   branches/Branch_5_2/src/debian/dsf-in/web-apache2-vhosts.postrm.dsfh-in
   branches/Branch_5_2/src/debian/dsf-in/web-apache2.postinst.dsfh-in
   branches/Branch_5_2/src/debian/dsf-in/web-apache2.templates.dsfh-in
Modified:
   branches/Branch_5_2/
   branches/Branch_5_2/src/debian/dsf-po/POTFILES.in
Log:
Renamed files for consistency

Copied: branches/Branch_5_2/src/debian/dsf-in/db-postgresql.config (from rev 15599, branches/Branch_5_2/src/debian/dsf-in/db-postgresql.config.dsfh-in)
===================================================================
--- branches/Branch_5_2/src/debian/dsf-in/db-postgresql.config	                        (rev 0)
+++ branches/Branch_5_2/src/debian/dsf-in/db-postgresql.config	2012-05-29 16:50:21 UTC (rev 15600)
@@ -0,0 +1,33 @@
+#!/bin/sh -e
+
+# Source debconf library.
+. /usr/share/debconf/confmodule
+
+#DSFHELPER:handle-mainconffile#
+
+create_mainconffile
+init_debconf_from_mainconffile
+
+#DSFHELPER:get-pw-from-debconf#
+#DSFHELPER:create-random-pw#
+#DSFHELPER:common-variables#
+#DSFHELPER:dbhost-variables#
+#DSFHELPER:dbpasswd-variables#
+
+db_fget @PACKAGE@/shared/admin_password seen || true
+if [ "$RET" = "false" ]; then
+    if [ "$(get_pw @PACKAGE@/shared/admin_password high)" = "not-asked" ] ; then
+	db_set @PACKAGE@/shared/admin_password $(gen_random_pw)
+	db_get @PACKAGE@/shared/admin_password || true
+	echo "Since you asked not to see all the debconf questions, I generated a random"
+	echo "password for the admin user.  It is '${RET}'." ;
+	db_fset @PACKAGE@/shared/admin_password seen true
+    fi
+fi
+
+db_go || true
+
+vars="admin_password"
+update_mainconffile $vars
+
+db_stop

Deleted: branches/Branch_5_2/src/debian/dsf-in/db-postgresql.config.dsfh-in
===================================================================
--- branches/Branch_5_2/src/debian/dsf-in/db-postgresql.config.dsfh-in	2012-05-29 16:49:40 UTC (rev 15599)
+++ branches/Branch_5_2/src/debian/dsf-in/db-postgresql.config.dsfh-in	2012-05-29 16:50:21 UTC (rev 15600)
@@ -1,33 +0,0 @@
-#!/bin/sh -e
-
-# Source debconf library.
-. /usr/share/debconf/confmodule
-
-#DSFHELPER:handle-mainconffile#
-
-create_mainconffile
-init_debconf_from_mainconffile
-
-#DSFHELPER:get-pw-from-debconf#
-#DSFHELPER:create-random-pw#
-#DSFHELPER:common-variables#
-#DSFHELPER:dbhost-variables#
-#DSFHELPER:dbpasswd-variables#
-
-db_fget @PACKAGE@/shared/admin_password seen || true
-if [ "$RET" = "false" ]; then
-    if [ "$(get_pw @PACKAGE@/shared/admin_password high)" = "not-asked" ] ; then
-	db_set @PACKAGE@/shared/admin_password $(gen_random_pw)
-	db_get @PACKAGE@/shared/admin_password || true
-	echo "Since you asked not to see all the debconf questions, I generated a random"
-	echo "password for the admin user.  It is '${RET}'." ;
-	db_fset @PACKAGE@/shared/admin_password seen true
-    fi
-fi
-
-db_go || true
-
-vars="admin_password"
-update_mainconffile $vars
-
-db_stop

Copied: branches/Branch_5_2/src/debian/dsf-in/db-postgresql.postinst (from rev 15599, branches/Branch_5_2/src/debian/dsf-in/db-postgresql.postinst.dsfh-in)
===================================================================
--- branches/Branch_5_2/src/debian/dsf-in/db-postgresql.postinst	                        (rev 0)
+++ branches/Branch_5_2/src/debian/dsf-in/db-postgresql.postinst	2012-05-29 16:50:21 UTC (rev 15600)
@@ -0,0 +1,121 @@
+#! /bin/sh
+# postinst script for @OLDPACKAGE@
+#
+# see: dh_installdeb(1)
+
+# Support for new place for pg_hba.conf
+# I only try to upgrade on the default cluster
+if [ -x /usr/bin/pg_lsclusters ]
+then 
+	# We are with new postgresql working with clusters
+	# This is probably not te most elegant way to deal with database
+	# I install or upgrade on the default cluster if it is online
+	# or I quit gently with a big message
+	pg_version=`pg_lsclusters | grep 5432 | grep online | cut -d' ' -f1`
+	if [ "x$pg_version" != "x" ] 
+	then 
+		export pg_hba_dir=/etc/postgresql/${pg_version}/main
+	else
+		echo "No database found online on port 5432"
+		echo "Couldn't initialize or upgrade @OLDPACKAGE@ database."
+		echo "Please see postgresql documentation"
+		echo "and run dpkg-reconfigure -plow @OLDPACKAGE at -db-postgresql"
+		echo "once the problem is solved"
+		echo "exiting without error, but @OLDPACKAGE@ db will not work"
+		echo "right now"
+		exit 0
+	fi
+else
+    	export pg_hba_dir=/etc/postgresql
+fi
+
+set -e
+#set -x				# Be verbose, be very verbose.
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see /usr/share/doc/packaging-manual/
+#
+# quoting from the policy:
+#     Any necessary prompting should almost always be confined to the
+#     post-installation script, and should be protected with a conditional
+#     so that unnecessary prompting doesn't happen if a package's
+#     installation fails and the `postinst' is called with `abort-upgrade',
+#     `abort-remove' or `abort-deconfigure'.
+
+. /usr/share/debconf/confmodule
+
+#DSFHELPER:handle-mainconffile#
+case "$1" in
+    configure)
+	add_onevar_mainconfile default_trove_cat 18
+
+        # Patch DB configuration files
+	/usr/share/@OLDPACKAGE@/bin/install-db.sh configure-files
+
+	# At first, the pg_hba.conf file is not yet handled by ucf, so
+	# we don't display the usual template, but instead a custom
+	# one (fusionforge/ucfchangeprompt)
+	ucf_package=`ucfq -w ${pg_hba_dir}/pg_hba.conf | cut -d ':' -f 2`
+	if [ "x$ucf_package" != "x at OLDPACKAGE@-db-postgresql" ]
+	then
+	    ucf --debconf-ok --debconf-template fusionforge/ucfchangeprompt ${pg_hba_dir}/pg_hba.conf. at OLDPACKAGE@-new ${pg_hba_dir}/pg_hba.conf
+	else
+	    ucf --debconf-ok ${pg_hba_dir}/pg_hba.conf. at OLDPACKAGE@-new ${pg_hba_dir}/pg_hba.conf
+	fi
+	# register it with ucfr/ucfq so that next time the normal ucf template is used, in case of user changes (or another package's)
+	ucfr @OLDPACKAGE at -db-postgresql ${pg_hba_dir}/pg_hba.conf
+	rm ${pg_hba_dir}/pg_hba.conf. at OLDPACKAGE@-new
+
+	# Make sure the database accepts connections from these new users
+	pg_name=postgresql-$pg_version
+	# Trying "postgresql" init script...
+	v=0
+	invoke-rc.d postgresql reload || v=$?
+	if test x"$v" = x"100"; then
+		# No "postgresql" init script (for packages << 8.4.4-2)
+		pg_name=postgresql-$pg_version
+		invoke-rc.d ${pg_name} reload
+	elif test x"$v" != x"0"; then
+		# Needed, since we run under "set -e"...
+		exit $v
+	fi
+
+        # Setup our DB
+	v=0
+	/usr/share/@OLDPACKAGE@/bin/install-db.sh configure || v=$?
+	if test x"$v" = x"100"; then
+	    db_get @PACKAGE@/shared/admin_password || true
+	    /usr/share/gforge/bin/forge_set_password admin "$RET"
+	elif test x"$v" != x"0"; then
+	    exit $v
+	fi
+
+	if [ -n "$2" ] && dpkg --compare-versions $2 lt 5.1-8 ; then
+            echo "Normalizing all roles and permissions"
+            PATH=$PATH:/usr/share/gforge/bin normalize_roles.php
+        fi
+
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 0
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0

Deleted: branches/Branch_5_2/src/debian/dsf-in/db-postgresql.postinst.dsfh-in
===================================================================
--- branches/Branch_5_2/src/debian/dsf-in/db-postgresql.postinst.dsfh-in	2012-05-29 16:49:40 UTC (rev 15599)
+++ branches/Branch_5_2/src/debian/dsf-in/db-postgresql.postinst.dsfh-in	2012-05-29 16:50:21 UTC (rev 15600)
@@ -1,121 +0,0 @@
-#! /bin/sh
-# postinst script for @OLDPACKAGE@
-#
-# see: dh_installdeb(1)
-
-# Support for new place for pg_hba.conf
-# I only try to upgrade on the default cluster
-if [ -x /usr/bin/pg_lsclusters ]
-then 
-	# We are with new postgresql working with clusters
-	# This is probably not te most elegant way to deal with database
-	# I install or upgrade on the default cluster if it is online
-	# or I quit gently with a big message
-	pg_version=`pg_lsclusters | grep 5432 | grep online | cut -d' ' -f1`
-	if [ "x$pg_version" != "x" ] 
-	then 
-		export pg_hba_dir=/etc/postgresql/${pg_version}/main
-	else
-		echo "No database found online on port 5432"
-		echo "Couldn't initialize or upgrade @OLDPACKAGE@ database."
-		echo "Please see postgresql documentation"
-		echo "and run dpkg-reconfigure -plow @OLDPACKAGE at -db-postgresql"
-		echo "once the problem is solved"
-		echo "exiting without error, but @OLDPACKAGE@ db will not work"
-		echo "right now"
-		exit 0
-	fi
-else
-    	export pg_hba_dir=/etc/postgresql
-fi
-
-set -e
-#set -x				# Be verbose, be very verbose.
-
-# summary of how this script can be called:
-#        * <postinst> `configure' <most-recently-configured-version>
-#        * <old-postinst> `abort-upgrade' <new version>
-#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
-#          <new-version>
-#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
-#          <failed-install-package> <version> `removing'
-#          <conflicting-package> <version>
-# for details, see /usr/share/doc/packaging-manual/
-#
-# quoting from the policy:
-#     Any necessary prompting should almost always be confined to the
-#     post-installation script, and should be protected with a conditional
-#     so that unnecessary prompting doesn't happen if a package's
-#     installation fails and the `postinst' is called with `abort-upgrade',
-#     `abort-remove' or `abort-deconfigure'.
-
-. /usr/share/debconf/confmodule
-
-#DSFHELPER:handle-mainconffile#
-case "$1" in
-    configure)
-	add_onevar_mainconfile default_trove_cat 18
-
-        # Patch DB configuration files
-	/usr/share/@OLDPACKAGE@/bin/install-db.sh configure-files
-
-	# At first, the pg_hba.conf file is not yet handled by ucf, so
-	# we don't display the usual template, but instead a custom
-	# one (fusionforge/ucfchangeprompt)
-	ucf_package=`ucfq -w ${pg_hba_dir}/pg_hba.conf | cut -d ':' -f 2`
-	if [ "x$ucf_package" != "x at OLDPACKAGE@-db-postgresql" ]
-	then
-	    ucf --debconf-ok --debconf-template fusionforge/ucfchangeprompt ${pg_hba_dir}/pg_hba.conf. at OLDPACKAGE@-new ${pg_hba_dir}/pg_hba.conf
-	else
-	    ucf --debconf-ok ${pg_hba_dir}/pg_hba.conf. at OLDPACKAGE@-new ${pg_hba_dir}/pg_hba.conf
-	fi
-	# register it with ucfr/ucfq so that next time the normal ucf template is used, in case of user changes (or another package's)
-	ucfr @OLDPACKAGE at -db-postgresql ${pg_hba_dir}/pg_hba.conf
-	rm ${pg_hba_dir}/pg_hba.conf. at OLDPACKAGE@-new
-
-	# Make sure the database accepts connections from these new users
-	pg_name=postgresql-$pg_version
-	# Trying "postgresql" init script...
-	v=0
-	invoke-rc.d postgresql reload || v=$?
-	if test x"$v" = x"100"; then
-		# No "postgresql" init script (for packages << 8.4.4-2)
-		pg_name=postgresql-$pg_version
-		invoke-rc.d ${pg_name} reload
-	elif test x"$v" != x"0"; then
-		# Needed, since we run under "set -e"...
-		exit $v
-	fi
-
-        # Setup our DB
-	v=0
-	/usr/share/@OLDPACKAGE@/bin/install-db.sh configure || v=$?
-	if test x"$v" = x"100"; then
-	    db_get @PACKAGE@/shared/admin_password || true
-	    /usr/share/gforge/bin/forge_set_password admin "$RET"
-	elif test x"$v" != x"0"; then
-	    exit $v
-	fi
-
-	if [ -n "$2" ] && dpkg --compare-versions $2 lt 5.1-8 ; then
-            echo "Normalizing all roles and permissions"
-            PATH=$PATH:/usr/share/gforge/bin normalize_roles.php
-        fi
-
-    ;;
-
-    abort-upgrade|abort-remove|abort-deconfigure)
-    ;;
-
-    *)
-        echo "postinst called with unknown argument \`$1'" >&2
-        exit 0
-    ;;
-esac
-
-# dh_installdeb will replace this with shell code automatically
-# generated by other debhelper scripts.
-
-#DEBHELPER#
-
-exit 0

Copied: branches/Branch_5_2/src/debian/dsf-in/db-postgresql.templates (from rev 15599, branches/Branch_5_2/src/debian/dsf-in/db-postgresql.templates.dsfh-in)
===================================================================
--- branches/Branch_5_2/src/debian/dsf-in/db-postgresql.templates	                        (rev 0)
+++ branches/Branch_5_2/src/debian/dsf-in/db-postgresql.templates	2012-05-29 16:50:21 UTC (rev 15600)
@@ -0,0 +1,55 @@
+# These templates have been reviewed by the debian-l10n-english
+# team
+#
+# If modifications/additions/rewording are needed, please ask
+# debian-l10n-english at lists.debian.org for advice.
+#
+# Even minor modifications require translation updates and such
+# changes should be coordinated with translators and reviewers.
+
+#DSFHELPER:common-variables#
+
+Template: @PACKAGE@/shared/shell_host
+Type: string
+_Description: Shell server:
+ Please enter the hostname of the server that will host the @FORGENAME@
+ shell accounts.
+
+#DSFHELPER:lists-variables#
+
+Template: @PACKAGE@/shared/download_host
+Type: string
+_Description: Download server:
+ Please enter the hostname of the server that will host the @FORGENAME@
+ packages. 
+ .
+ It should not be the same as the main @FORGENAME@ host.
+
+#DSFHELPER:dbpasswd-variables#
+
+Template: @PACKAGE@/shared/ip_address
+Type: string
+_Description: IP address:
+ Please enter the IP address of the server that will host the @FORGENAME@
+ installation.
+ .
+ This is needed for the configuration of Apache virtual hosting.
+
+Template: @PACKAGE@/shared/admin_password
+Type: password
+_Description: @FORGENAME@ administrator password:
+ The @FORGENAME@ administrator account will have full privileges on the
+ forge. It will be used to approve the creation of new projects.
+ .
+ Please choose the password for this forge account.
+
+Template: @PACKAGE@/shared/admin_password_confirm
+Type: password
+_Description: Password confirmation:
+ Please re-type the password for confirmation.
+
+#DSFHELPER:dbhost-variables#
+
+#DSFHELPER:groupid-variables#
+
+#DSFHELPER:ucf-choices#

Deleted: branches/Branch_5_2/src/debian/dsf-in/db-postgresql.templates.dsfh-in
===================================================================
--- branches/Branch_5_2/src/debian/dsf-in/db-postgresql.templates.dsfh-in	2012-05-29 16:49:40 UTC (rev 15599)
+++ branches/Branch_5_2/src/debian/dsf-in/db-postgresql.templates.dsfh-in	2012-05-29 16:50:21 UTC (rev 15600)
@@ -1,55 +0,0 @@
-# These templates have been reviewed by the debian-l10n-english
-# team
-#
-# If modifications/additions/rewording are needed, please ask
-# debian-l10n-english at lists.debian.org for advice.
-#
-# Even minor modifications require translation updates and such
-# changes should be coordinated with translators and reviewers.
-
-#DSFHELPER:common-variables#
-
-Template: @PACKAGE@/shared/shell_host
-Type: string
-_Description: Shell server:
- Please enter the hostname of the server that will host the @FORGENAME@
- shell accounts.
-
-#DSFHELPER:lists-variables#
-
-Template: @PACKAGE@/shared/download_host
-Type: string
-_Description: Download server:
- Please enter the hostname of the server that will host the @FORGENAME@
- packages. 
- .
- It should not be the same as the main @FORGENAME@ host.
-
-#DSFHELPER:dbpasswd-variables#
-
-Template: @PACKAGE@/shared/ip_address
-Type: string
-_Description: IP address:
- Please enter the IP address of the server that will host the @FORGENAME@
- installation.
- .
- This is needed for the configuration of Apache virtual hosting.
-
-Template: @PACKAGE@/shared/admin_password
-Type: password
-_Description: @FORGENAME@ administrator password:
- The @FORGENAME@ administrator account will have full privileges on the
- forge. It will be used to approve the creation of new projects.
- .
- Please choose the password for this forge account.
-
-Template: @PACKAGE@/shared/admin_password_confirm
-Type: password
-_Description: Password confirmation:
- Please re-type the password for confirmation.
-
-#DSFHELPER:dbhost-variables#
-
-#DSFHELPER:groupid-variables#
-
-#DSFHELPER:ucf-choices#

Copied: branches/Branch_5_2/src/debian/dsf-in/dns-bind9.templates (from rev 15599, branches/Branch_5_2/src/debian/dsf-in/dns-bind9.templates.dsfh-in)
===================================================================
--- branches/Branch_5_2/src/debian/dsf-in/dns-bind9.templates	                        (rev 0)
+++ branches/Branch_5_2/src/debian/dsf-in/dns-bind9.templates	2012-05-29 16:50:21 UTC (rev 15600)
@@ -0,0 +1,29 @@
+# These templates have been reviewed by the debian-l10n-english
+# team
+#
+# If modifications/additions/rewording are needed, please ask
+# debian-l10n-english at lists.debian.org for advice.
+#
+# Even minor modifications require translation updates and such
+# changes should be coordinated with translators and reviewers.
+
+#DSFHELPER:common-variables#
+#DSFHELPER:shellhost-variables#
+#DSFHELPER:lists-variables#
+#DSFHELPER:host-variables#
+
+Template: @PACKAGE@/shared/simple_dns
+Type: boolean
+Default: false
+# Translators: SCM here means "Source Control Management"
+#              (cvs, svn, etc.)
+_Description: Do you want a simple DNS setup for @FORGENAME@?
+ You can use a simple DNS setup with wildcards to map all
+ project web-hosts to a single IP address, and direct all the scm-hosts
+ to a single SCM server, or a complex setup which allows
+ many servers as project web servers or SCM servers.
+ .
+ Even if you use a simple DNS setup, you can still use
+ separate machines as project servers; it just assumes that
+ all the project web directories are on the same server with a single
+ SCM server.

Deleted: branches/Branch_5_2/src/debian/dsf-in/dns-bind9.templates.dsfh-in
===================================================================
--- branches/Branch_5_2/src/debian/dsf-in/dns-bind9.templates.dsfh-in	2012-05-29 16:49:40 UTC (rev 15599)
+++ branches/Branch_5_2/src/debian/dsf-in/dns-bind9.templates.dsfh-in	2012-05-29 16:50:21 UTC (rev 15600)
@@ -1,29 +0,0 @@
-# These templates have been reviewed by the debian-l10n-english
-# team
-#
-# If modifications/additions/rewording are needed, please ask
-# debian-l10n-english at lists.debian.org for advice.
-#
-# Even minor modifications require translation updates and such
-# changes should be coordinated with translators and reviewers.
-
-#DSFHELPER:common-variables#
-#DSFHELPER:shellhost-variables#
-#DSFHELPER:lists-variables#
-#DSFHELPER:host-variables#
-
-Template: @PACKAGE@/shared/simple_dns
-Type: boolean
-Default: false
-# Translators: SCM here means "Source Control Management"
-#              (cvs, svn, etc.)
-_Description: Do you want a simple DNS setup for @FORGENAME@?
- You can use a simple DNS setup with wildcards to map all
- project web-hosts to a single IP address, and direct all the scm-hosts
- to a single SCM server, or a complex setup which allows
- many servers as project web servers or SCM servers.
- .
- Even if you use a simple DNS setup, you can still use
- separate machines as project servers; it just assumes that
- all the project web directories are on the same server with a single
- SCM server.

Copied: branches/Branch_5_2/src/debian/dsf-in/web-apache2-vhosts.postinst (from rev 15599, branches/Branch_5_2/src/debian/dsf-in/web-apache2-vhosts.postinst.dsfh-in)
===================================================================
--- branches/Branch_5_2/src/debian/dsf-in/web-apache2-vhosts.postinst	                        (rev 0)
+++ branches/Branch_5_2/src/debian/dsf-in/web-apache2-vhosts.postinst	2012-05-29 16:50:21 UTC (rev 15600)
@@ -0,0 +1,54 @@
+#! /bin/sh
+# postinst script for @OLDPACKAGE@
+#
+# see: dh_installdeb(1)
+
+set -e
+#set -x				# Be verbose, be very verbose.
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see /usr/share/doc/packaging-manual/
+#
+# quoting from the policy:
+#     Any necessary prompting should almost always be confined to the
+#     post-installation script, and should be protected with a conditional
+#     so that unnecessary prompting doesn't happen if a package's
+#     installation fails and the `postinst' is called with `abort-upgrade',
+#     `abort-remove' or `abort-deconfigure'.
+
+. /usr/share/debconf/confmodule
+
+case "$1" in
+    configure)
+	db_stop
+        # Setup our Apache
+	touch /var/lib/@OLDPACKAGE@/etc/templates/httpd.vhosts  && \
+		chown @OLDPACKAGE@:@OLDPACKAGE@ /var/lib/@OLDPACKAGE@/etc/templates/httpd.vhosts && \
+		/usr/share/@OLDPACKAGE@/bin/create-vhosts.sh --norestart
+
+	# Make Apache see these new changes
+	invoke-rc.d apache2 reload || true
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 0
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0

Deleted: branches/Branch_5_2/src/debian/dsf-in/web-apache2-vhosts.postinst.dsfh-in
===================================================================
--- branches/Branch_5_2/src/debian/dsf-in/web-apache2-vhosts.postinst.dsfh-in	2012-05-29 16:49:40 UTC (rev 15599)
+++ branches/Branch_5_2/src/debian/dsf-in/web-apache2-vhosts.postinst.dsfh-in	2012-05-29 16:50:21 UTC (rev 15600)
@@ -1,54 +0,0 @@
-#! /bin/sh
-# postinst script for @OLDPACKAGE@
-#
-# see: dh_installdeb(1)
-
-set -e
-#set -x				# Be verbose, be very verbose.
-
-# summary of how this script can be called:
-#        * <postinst> `configure' <most-recently-configured-version>
-#        * <old-postinst> `abort-upgrade' <new version>
-#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
-#          <new-version>
-#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
-#          <failed-install-package> <version> `removing'
-#          <conflicting-package> <version>
-# for details, see /usr/share/doc/packaging-manual/
-#
-# quoting from the policy:
-#     Any necessary prompting should almost always be confined to the
-#     post-installation script, and should be protected with a conditional
-#     so that unnecessary prompting doesn't happen if a package's
-#     installation fails and the `postinst' is called with `abort-upgrade',
-#     `abort-remove' or `abort-deconfigure'.
-
-. /usr/share/debconf/confmodule
-
-case "$1" in
-    configure)
-	db_stop
-        # Setup our Apache
-	touch /var/lib/@OLDPACKAGE@/etc/templates/httpd.vhosts  && \
-		chown @OLDPACKAGE@:@OLDPACKAGE@ /var/lib/@OLDPACKAGE@/etc/templates/httpd.vhosts && \
-		/usr/share/@OLDPACKAGE@/bin/create-vhosts.sh --norestart
-
-	# Make Apache see these new changes
-	invoke-rc.d apache2 reload || true
-    ;;
-
-    abort-upgrade|abort-remove|abort-deconfigure)
-    ;;
-
-    *)
-        echo "postinst called with unknown argument \`$1'" >&2
-        exit 0
-    ;;
-esac
-
-# dh_installdeb will replace this with shell code automatically
-# generated by other debhelper scripts.
-
-#DEBHELPER#
-
-exit 0

Copied: branches/Branch_5_2/src/debian/dsf-in/web-apache2-vhosts.postrm (from rev 15599, branches/Branch_5_2/src/debian/dsf-in/web-apache2-vhosts.postrm.dsfh-in)
===================================================================
--- branches/Branch_5_2/src/debian/dsf-in/web-apache2-vhosts.postrm	                        (rev 0)
+++ branches/Branch_5_2/src/debian/dsf-in/web-apache2-vhosts.postrm	2012-05-29 16:50:21 UTC (rev 15600)
@@ -0,0 +1,34 @@
+#! /bin/sh
+# postrm script for @OLDPACKAGE@
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <r>overwrit>r> <new-version>
+# for details, see /usr/share/doc/packaging-manual/
+
+case "$1" in
+    purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+        # Make Apache see these new changes
+	invoke-rc.d apache2 reload || true
+	;;
+
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 0
+
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#

Deleted: branches/Branch_5_2/src/debian/dsf-in/web-apache2-vhosts.postrm.dsfh-in
===================================================================
--- branches/Branch_5_2/src/debian/dsf-in/web-apache2-vhosts.postrm.dsfh-in	2012-05-29 16:49:40 UTC (rev 15599)
+++ branches/Branch_5_2/src/debian/dsf-in/web-apache2-vhosts.postrm.dsfh-in	2012-05-29 16:50:21 UTC (rev 15600)
@@ -1,34 +0,0 @@
-#! /bin/sh
-# postrm script for @OLDPACKAGE@
-#
-# see: dh_installdeb(1)
-
-set -e
-
-# summary of how this script can be called:
-#        * <postrm> `remove'
-#        * <postrm> `purge'
-#        * <old-postrm> `upgrade' <new-version>
-#        * <new-postrm> `failed-upgrade' <old-version>
-#        * <new-postrm> `abort-install'
-#        * <new-postrm> `abort-install' <old-version>
-#        * <new-postrm> `abort-upgrade' <old-version>
-#        * <disappearer's-postrm> `disappear' <r>overwrit>r> <new-version>
-# for details, see /usr/share/doc/packaging-manual/
-
-case "$1" in
-    purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
-        # Make Apache see these new changes
-	invoke-rc.d apache2 reload || true
-	;;
-
-    *)
-        echo "postrm called with unknown argument \`$1'" >&2
-        exit 0
-
-esac
-
-# dh_installdeb will replace this with shell code automatically
-# generated by other debhelper scripts.
-
-#DEBHELPER#

Copied: branches/Branch_5_2/src/debian/dsf-in/web-apache2.postinst (from rev 15599, branches/Branch_5_2/src/debian/dsf-in/web-apache2.postinst.dsfh-in)
===================================================================
--- branches/Branch_5_2/src/debian/dsf-in/web-apache2.postinst	                        (rev 0)
+++ branches/Branch_5_2/src/debian/dsf-in/web-apache2.postinst	2012-05-29 16:50:21 UTC (rev 15600)
@@ -0,0 +1,96 @@
+#! /bin/sh
+# postinst script for @OLDPACKAGE@
+#
+# see: dh_installdeb(1)
+
+set -e
+#set -x				# Be verbose, be very verbose.
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see /usr/share/doc/packaging-manual/
+#
+# quoting from the policy:
+#     Any necessary prompting should almost always be confined to the
+#     post-installation script, and should be protected with a conditional
+#     so that unnecessary prompting doesn't happen if a package's
+#     installation fails and the `postinst' is called with `abort-upgrade',
+#     `abort-remove' or `abort-deconfigure'.
+
+. /usr/share/debconf/confmodule
+
+case "$1" in
+    configure)
+	if [ ! -e /etc/@OLDPACKAGE@/ssl-cert.pem ] || [ ! -e /etc/@OLDPACKAGE@/ssl-cert.key ] ; then
+	    # Uh-oh, no SSL cert, let's make sure at least a dummy one exists.
+	    if [ ! -e /etc/ssl/certs/ssl-cert-snakeoil.pem ] || [ ! -e /etc/ssl/private/ssl-cert-snakeoil.key ] ; then
+		# What, not even the snakeoil cert is there?  Let's generate it
+		make-ssl-cert generate-default-snakeoil
+	    fi
+	    # Right.  At this point, it should be safe to set the symlinks.
+	    ln -s /etc/ssl/certs/ssl-cert-snakeoil.pem /etc/@OLDPACKAGE@/ssl-cert.pem
+	    ln -s /etc/ssl/private/ssl-cert-snakeoil.key /etc/@OLDPACKAGE@/ssl-cert.key
+	fi
+	
+	for i in secrets.inc vhost-list.inc vhost-main.inc vhost-projects.inc ; do
+	    if [ ! -e /etc/gforge/httpd.conf.d/$i ] ; then
+		cp /usr/share/gforge/etc/httpd.conf.d-fhs/$i /etc/gforge/httpd.conf.d/$i
+		if [ $i = "secrets.inc" ] ; then
+		    chmod 700 /etc/gforge/httpd.conf.d/$i
+		fi
+		PATH=/usr/share/gforge/bin:$PATH manage-apache-config.sh install
+		mv /etc/gforge/httpd.conf.d/$i.generated /etc/gforge/httpd.conf.d/$i
+	    fi
+	done
+
+	touch /var/lib/gforge/etc/httpd.vhosts
+
+	db_stop
+
+        # Setup our FRS
+	chown www-data:www-data /var/lib/@OLDPACKAGE@/download
+
+	# Enable required modules
+	DEBIAN_FRONTEND=noninteractive a2enmod php5 || true
+	DEBIAN_FRONTEND=noninteractive a2enmod ssl || true
+	DEBIAN_FRONTEND=noninteractive a2enmod env || true
+	DEBIAN_FRONTEND=noninteractive a2enmod vhost_alias || true
+	DEBIAN_FRONTEND=noninteractive a2enmod headers || true
+	DEBIAN_FRONTEND=noninteractive a2enmod rewrite || true
+	DEBIAN_FRONTEND=noninteractive a2enmod proxy || true
+	DEBIAN_FRONTEND=noninteractive a2enmod proxy_http || true
+	
+	# Enable the @FORGENAME@ configuration
+	if [ -e /etc/apache2/conf.d/@OLDPACKAGE at .httpd.conf ] ; then
+	    rm -f /etc/apache2/conf.d/@OLDPACKAGE at .httpd.conf
+	fi
+	if [ -d /etc/apache2/sites-available ] && [ ! -h /etc/apache2/sites-available/@OLDPACKAGE@ ] ; then
+	    ln -s /etc/@OLDPACKAGE@/httpd.conf /etc/apache2/sites-available/@OLDPACKAGE@
+	fi
+	a2ensite @OLDPACKAGE@
+	
+	# Make Apache see these new changes
+	invoke-rc.d apache2 restart || true
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 0
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0

Deleted: branches/Branch_5_2/src/debian/dsf-in/web-apache2.postinst.dsfh-in
===================================================================
--- branches/Branch_5_2/src/debian/dsf-in/web-apache2.postinst.dsfh-in	2012-05-29 16:49:40 UTC (rev 15599)
+++ branches/Branch_5_2/src/debian/dsf-in/web-apache2.postinst.dsfh-in	2012-05-29 16:50:21 UTC (rev 15600)
@@ -1,96 +0,0 @@
-#! /bin/sh
-# postinst script for @OLDPACKAGE@
-#
-# see: dh_installdeb(1)
-
-set -e
-#set -x				# Be verbose, be very verbose.
-
-# summary of how this script can be called:
-#        * <postinst> `configure' <most-recently-configured-version>
-#        * <old-postinst> `abort-upgrade' <new version>
-#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
-#          <new-version>
-#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
-#          <failed-install-package> <version> `removing'
-#          <conflicting-package> <version>
-# for details, see /usr/share/doc/packaging-manual/
-#
-# quoting from the policy:
-#     Any necessary prompting should almost always be confined to the
-#     post-installation script, and should be protected with a conditional
-#     so that unnecessary prompting doesn't happen if a package's
-#     installation fails and the `postinst' is called with `abort-upgrade',
-#     `abort-remove' or `abort-deconfigure'.
-
-. /usr/share/debconf/confmodule
-
-case "$1" in
-    configure)
-	if [ ! -e /etc/@OLDPACKAGE@/ssl-cert.pem ] || [ ! -e /etc/@OLDPACKAGE@/ssl-cert.key ] ; then
-	    # Uh-oh, no SSL cert, let's make sure at least a dummy one exists.
-	    if [ ! -e /etc/ssl/certs/ssl-cert-snakeoil.pem ] || [ ! -e /etc/ssl/private/ssl-cert-snakeoil.key ] ; then
-		# What, not even the snakeoil cert is there?  Let's generate it
-		make-ssl-cert generate-default-snakeoil
-	    fi
-	    # Right.  At this point, it should be safe to set the symlinks.
-	    ln -s /etc/ssl/certs/ssl-cert-snakeoil.pem /etc/@OLDPACKAGE@/ssl-cert.pem
-	    ln -s /etc/ssl/private/ssl-cert-snakeoil.key /etc/@OLDPACKAGE@/ssl-cert.key
-	fi
-	
-	for i in secrets.inc vhost-list.inc vhost-main.inc vhost-projects.inc ; do
-	    if [ ! -e /etc/gforge/httpd.conf.d/$i ] ; then
-		cp /usr/share/gforge/etc/httpd.conf.d-fhs/$i /etc/gforge/httpd.conf.d/$i
-		if [ $i = "secrets.inc" ] ; then
-		    chmod 700 /etc/gforge/httpd.conf.d/$i
-		fi
-		PATH=/usr/share/gforge/bin:$PATH manage-apache-config.sh install
-		mv /etc/gforge/httpd.conf.d/$i.generated /etc/gforge/httpd.conf.d/$i
-	    fi
-	done
-
-	touch /var/lib/gforge/etc/httpd.vhosts
-
-	db_stop
-
-        # Setup our FRS
-	chown www-data:www-data /var/lib/@OLDPACKAGE@/download
-
-	# Enable required modules
-	DEBIAN_FRONTEND=noninteractive a2enmod php5 || true
-	DEBIAN_FRONTEND=noninteractive a2enmod ssl || true
-	DEBIAN_FRONTEND=noninteractive a2enmod env || true
-	DEBIAN_FRONTEND=noninteractive a2enmod vhost_alias || true
-	DEBIAN_FRONTEND=noninteractive a2enmod headers || true
-	DEBIAN_FRONTEND=noninteractive a2enmod rewrite || true
-	DEBIAN_FRONTEND=noninteractive a2enmod proxy || true
-	DEBIAN_FRONTEND=noninteractive a2enmod proxy_http || true
-	
-	# Enable the @FORGENAME@ configuration
-	if [ -e /etc/apache2/conf.d/@OLDPACKAGE at .httpd.conf ] ; then
-	    rm -f /etc/apache2/conf.d/@OLDPACKAGE at .httpd.conf
-	fi
-	if [ -d /etc/apache2/sites-available ] && [ ! -h /etc/apache2/sites-available/@OLDPACKAGE@ ] ; then
-	    ln -s /etc/@OLDPACKAGE@/httpd.conf /etc/apache2/sites-available/@OLDPACKAGE@
-	fi
-	a2ensite @OLDPACKAGE@
-	
-	# Make Apache see these new changes
-	invoke-rc.d apache2 restart || true
-    ;;
-
-    abort-upgrade|abort-remove|abort-deconfigure)
-    ;;
-
-    *)
-        echo "postinst called with unknown argument \`$1'" >&2
-        exit 0
-    ;;
-esac
-
-# dh_installdeb will replace this with shell code automatically
-# generated by other debhelper scripts.
-
-#DEBHELPER#
-
-exit 0

Copied: branches/Branch_5_2/src/debian/dsf-in/web-apache2.templates (from rev 15599, branches/Branch_5_2/src/debian/dsf-in/web-apache2.templates.dsfh-in)
===================================================================
--- branches/Branch_5_2/src/debian/dsf-in/web-apache2.templates	                        (rev 0)
+++ branches/Branch_5_2/src/debian/dsf-in/web-apache2.templates	2012-05-29 16:50:21 UTC (rev 15600)
@@ -0,0 +1,8 @@
+#DSFHELPER:host-variables#
+#DSFHELPER:uploadhost-variables#
+#DSFHELPER:ftpuploadhost-variables#
+#DSFHELPER:jabberhost-variables#
+#DSFHELPER:lists-variables#
+#DSFHELPER:shellhost-variables#
+#DSFHELPER:groupid-variables#
+#DSFHELPER:dbpasswd-variables#

Deleted: branches/Branch_5_2/src/debian/dsf-in/web-apache2.templates.dsfh-in
===================================================================
--- branches/Branch_5_2/src/debian/dsf-in/web-apache2.templates.dsfh-in	2012-05-29 16:49:40 UTC (rev 15599)
+++ branches/Branch_5_2/src/debian/dsf-in/web-apache2.templates.dsfh-in	2012-05-29 16:50:21 UTC (rev 15600)
@@ -1,8 +0,0 @@
-#DSFHELPER:host-variables#
-#DSFHELPER:uploadhost-variables#
-#DSFHELPER:ftpuploadhost-variables#
-#DSFHELPER:jabberhost-variables#
-#DSFHELPER:lists-variables#
-#DSFHELPER:shellhost-variables#
-#DSFHELPER:groupid-variables#
-#DSFHELPER:dbpasswd-variables#

Modified: branches/Branch_5_2/src/debian/dsf-po/POTFILES.in
===================================================================
--- branches/Branch_5_2/src/debian/dsf-po/POTFILES.in	2012-05-29 16:49:40 UTC (rev 15599)
+++ branches/Branch_5_2/src/debian/dsf-po/POTFILES.in	2012-05-29 16:50:21 UTC (rev 15600)
@@ -1,6 +1,6 @@
 [type: gettext/rfc822deb] dsf-in/common.templates
-[type: gettext/rfc822deb] dsf-in/db-postgresql.templates.dsfh-in
-[type: gettext/rfc822deb] dsf-in/dns-bind9.templates.dsfh-in
+[type: gettext/rfc822deb] dsf-in/db-postgresql.templates
+[type: gettext/rfc822deb] dsf-in/dns-bind9.templates
 [type: gettext/rfc822deb] dsf-helper/common-variables.templates
 [type: gettext/rfc822deb] dsf-helper/dbhost-variables.templates
 [type: gettext/rfc822deb] dsf-helper/dbpasswd-variables.templates




More information about the Fusionforge-commits mailing list